# Python script to copy AIPS VL tables
import Table, Image, OErr, OSystem

# Init Obit
err=OErr.OErr()
ObitSys=OSystem.OSystem  ("CopyVLTables", 1, 103, 1, ["None"],
                          2, ["../FITSdata/","/mnt/cdrom/MAPS/"], 1, 0, err)
OErr.printErrMsg(err, "Error with Obit startup")

outfile = "Catalog.fits"
outdisk = 1
indisk  = 2
def AppendVLTable (infile, outfile=outfile, err=err):
    """ Copy VL table ver 1 from infile to outfile

    infile   = name of input FITS image file with VL table
    outfile  = name of output FITS image file with extant VL table
    err      = Python Obit Error/message stack
    """
    ################################################################
    # Get images
    inImage  = Image.newPFImage("Input image",  infile,  indisk,  1, err)
    outImage = Image.newPFImage("Output image", outfile, outdisk, 1, err)
    OErr.printErrMsg(err, "Error creating image objects")
    #
    # obtain "AIPS VL" tables from each
    inTable  = Image.PImageNewImageTable(inImage,  1, "AIPS VL", 1, err)
    outTable = Image.PImageNewImageTable(outImage, 3, "AIPS VL", 1, err)
    OErr.printErrMsg(err, "Error extracting AIPS VL table objects")
    # Concatenate
    Table.PConcat (inTable, outTable, err)
    OErr.printErrMsg(err, "Error concatenatinfg tables")
    print "Appended",infile,"to",outfile
    # end AppendVLTable


# CD 4 of NVSS
AppendVLTable ("I1808M04.gz")
AppendVLTable ("I1808M08.gz")
AppendVLTable ("I1808M12.gz")
AppendVLTable ("I1808M16.gz")
#no table AppendVLTable ("I1808M20.gz")
AppendVLTable ("I1808M24.gz")
AppendVLTable ("I1808M28.gz")
AppendVLTable ("I1808P00.gz")
AppendVLTable ("I1808P04.gz")
AppendVLTable ("I1808P08.gz")
AppendVLTable ("I1808P12.gz")
AppendVLTable ("I1808P16.gz")
AppendVLTable ("I1808P20.gz")
AppendVLTable ("I1808P24.gz")
AppendVLTable ("I1808P28.gz")
AppendVLTable ("I1818M32.gz")
AppendVLTable ("I1818M36.gz")
AppendVLTable ("I1818P32.gz")
AppendVLTable ("I1818P36.gz")
AppendVLTable ("I1820M40.gz")
AppendVLTable ("I1820P40.gz")
AppendVLTable ("I1820P44.gz")
AppendVLTable ("I1820P48.gz")
AppendVLTable ("I1824M04.gz")
AppendVLTable ("I1824M08.gz")
AppendVLTable ("I1824M12.gz")
AppendVLTable ("I1824M16.gz")
AppendVLTable ("I1824M20.gz")
AppendVLTable ("I1824M24.gz")
AppendVLTable ("I1824M28.gz")
AppendVLTable ("I1824P00.gz")
AppendVLTable ("I1824P04.gz")
AppendVLTable ("I1824P08.gz")
AppendVLTable ("I1824P12.gz")
AppendVLTable ("I1824P16.gz")
AppendVLTable ("I1824P20.gz")
AppendVLTable ("I1824P24.gz")
AppendVLTable ("I1824P28.gz")
AppendVLTable ("I1824P52.gz")
AppendVLTable ("I1824P56.gz")
AppendVLTable ("I1830P60.gz")
AppendVLTable ("I1830P64.gz")
AppendVLTable ("I1836M32.gz")
AppendVLTable ("I1836M36.gz")
AppendVLTable ("I1836P32.gz")
AppendVLTable ("I1836P36.gz")
AppendVLTable ("I1836P68.gz")
AppendVLTable ("I1840M04.gz")
AppendVLTable ("I1840M08.gz")
AppendVLTable ("I1840M12.gz")
AppendVLTable ("I1840M16.gz")
AppendVLTable ("I1840M20.gz")
AppendVLTable ("I1840M24.gz")
AppendVLTable ("I1840M28.gz")
AppendVLTable ("I1840M40.gz")
AppendVLTable ("I1840P00.gz")
AppendVLTable ("I1840P04.gz")
AppendVLTable ("I1840P08.gz")
AppendVLTable ("I1840P12.gz")
AppendVLTable ("I1840P16.gz")
AppendVLTable ("I1840P20.gz")
AppendVLTable ("I1840P24.gz")
AppendVLTable ("I1840P28.gz")
AppendVLTable ("I1840P40.gz")
AppendVLTable ("I1840P44.gz")
AppendVLTable ("I1840P48.gz")
AppendVLTable ("I1845P72.gz")
AppendVLTable ("I1845P76.gz")
AppendVLTable ("I1848P52.gz")
AppendVLTable ("I1848P56.gz")
AppendVLTable ("I1854M32.gz")
AppendVLTable ("I1854M36.gz")
AppendVLTable ("I1854P32.gz")
AppendVLTable ("I1854P36.gz")
AppendVLTable ("I1856M04.gz")
AppendVLTable ("I1856M08.gz")
AppendVLTable ("I1856M12.gz")
AppendVLTable ("I1856M16.gz")
AppendVLTable ("I1856M20.gz")
AppendVLTable ("I1856M24.gz")
AppendVLTable ("I1856M28.gz")
AppendVLTable ("I1856P00.gz")
AppendVLTable ("I1856P04.gz")
AppendVLTable ("I1856P08.gz")
AppendVLTable ("I1856P12.gz")
AppendVLTable ("I1856P16.gz")
AppendVLTable ("I1856P20.gz")
AppendVLTable ("I1856P24.gz")
AppendVLTable ("I1856P28.gz")
AppendVLTable ("I1900M40.gz")
AppendVLTable ("I1900P40.gz")
AppendVLTable ("I1900P44.gz")
AppendVLTable ("I1900P48.gz")
AppendVLTable ("I1900P60.gz")
AppendVLTable ("I1900P64.gz")
AppendVLTable ("I1900P80.gz")
AppendVLTable ("I1912M04.gz")
AppendVLTable ("I1912M08.gz")
AppendVLTable ("I1912M12.gz")
AppendVLTable ("I1912M16.gz")
AppendVLTable ("I1912M20.gz")
AppendVLTable ("I1912M24.gz")
AppendVLTable ("I1912M28.gz")
AppendVLTable ("I1912M32.gz")
AppendVLTable ("I1912M36.gz")
AppendVLTable ("I1912P00.gz")
AppendVLTable ("I1912P04.gz")
AppendVLTable ("I1912P08.gz")
AppendVLTable ("I1912P12.gz")
AppendVLTable ("I1912P16.gz")
AppendVLTable ("I1912P20.gz")
AppendVLTable ("I1912P24.gz")
AppendVLTable ("I1912P28.gz")
AppendVLTable ("I1912P32.gz")
AppendVLTable ("I1912P36.gz")
AppendVLTable ("I1912P52.gz")
AppendVLTable ("I1912P56.gz")
AppendVLTable ("I1912P68.gz")
AppendVLTable ("I1920M40.gz")
AppendVLTable ("I1920P40.gz")
AppendVLTable ("I1920P44.gz")
AppendVLTable ("I1920P48.gz")
AppendVLTable ("I1928M04.gz")
AppendVLTable ("I1928M08.gz")
AppendVLTable ("I1928M12.gz")
AppendVLTable ("I1928M16.gz")
AppendVLTable ("I1928M20.gz")
AppendVLTable ("I1928M24.gz")
AppendVLTable ("I1928M28.gz")
AppendVLTable ("I1928P00.gz")
AppendVLTable ("I1928P04.gz")
AppendVLTable ("I1928P08.gz")
AppendVLTable ("I1928P12.gz")
AppendVLTable ("I1928P16.gz")
AppendVLTable ("I1928P20.gz")
AppendVLTable ("I1928P24.gz")
AppendVLTable ("I1928P28.gz")
AppendVLTable ("I1930M32.gz")
AppendVLTable ("I1930M36.gz")
AppendVLTable ("I1930P32.gz")
AppendVLTable ("I1930P36.gz")
AppendVLTable ("I1930P60.gz")
AppendVLTable ("I1930P64.gz")
AppendVLTable ("I1930P72.gz")
AppendVLTable ("I1930P76.gz")
AppendVLTable ("I1930P84.gz")
AppendVLTable ("I1936P52.gz")
AppendVLTable ("I1936P56.gz")
AppendVLTable ("I1940M40.gz")
AppendVLTable ("I1940P40.gz")
AppendVLTable ("I1940P44.gz")
AppendVLTable ("I1940P48.gz")
AppendVLTable ("I1944M04.gz")
AppendVLTable ("I1944M08.gz")
AppendVLTable ("I1944M12.gz")
AppendVLTable ("I1944M16.gz")
AppendVLTable ("I1944M20.gz")
AppendVLTable ("I1944M24.gz")
AppendVLTable ("I1944M28.gz")
AppendVLTable ("I1944P00.gz")
AppendVLTable ("I1944P04.gz")
AppendVLTable ("I1944P08.gz")
AppendVLTable ("I1944P12.gz")
AppendVLTable ("I1944P16.gz")
AppendVLTable ("I1944P20.gz")
AppendVLTable ("I1944P24.gz")
AppendVLTable ("I1944P28.gz")
AppendVLTable ("I1948M32.gz")
AppendVLTable ("I1948M36.gz")
AppendVLTable ("I1948P32.gz")
AppendVLTable ("I1948P36.gz")
AppendVLTable ("I1948P68.gz")
AppendVLTable ("I2000M04.gz")
AppendVLTable ("I2000M08.gz")
AppendVLTable ("I2000M12.gz")
AppendVLTable ("I2000M16.gz")
AppendVLTable ("I2000M20.gz")
AppendVLTable ("I2000M24.gz")
AppendVLTable ("I2000M28.gz")
AppendVLTable ("I2000M40.gz")
AppendVLTable ("I2000P00.gz")
AppendVLTable ("I2000P04.gz")
AppendVLTable ("I2000P08.gz")
AppendVLTable ("I2000P12.gz")
AppendVLTable ("I2000P16.gz")
AppendVLTable ("I2000P20.gz")
AppendVLTable ("I2000P24.gz")
AppendVLTable ("I2000P28.gz")
AppendVLTable ("I2000P40.gz")
AppendVLTable ("I2000P44.gz")
AppendVLTable ("I2000P48.gz")
AppendVLTable ("I2000P52.gz")
AppendVLTable ("I2000P56.gz")
AppendVLTable ("I2000P60.gz")
AppendVLTable ("I2000P64.gz")
AppendVLTable ("I2000P80.gz")
AppendVLTable ("I2006M32.gz")
AppendVLTable ("I2006M36.gz")
AppendVLTable ("I2006P32.gz")
AppendVLTable ("I2006P36.gz")
AppendVLTable ("I2015P72.gz")
AppendVLTable ("I2015P76.gz")
AppendVLTable ("I2016M04.gz")
AppendVLTable ("I2016M08.gz")
AppendVLTable ("I2016M12.gz")
AppendVLTable ("I2016M16.gz")
AppendVLTable ("I2016M20.gz")
AppendVLTable ("I2016M24.gz")
AppendVLTable ("I2016M28.gz")
AppendVLTable ("I2016P00.gz")
AppendVLTable ("I2016P04.gz")
AppendVLTable ("I2016P08.gz")
AppendVLTable ("I2016P12.gz")
AppendVLTable ("I2016P16.gz")
AppendVLTable ("I2016P20.gz")
AppendVLTable ("I2016P24.gz")
AppendVLTable ("I2016P28.gz")
AppendVLTable ("I2020M40.gz")
AppendVLTable ("I2020P40.gz")
AppendVLTable ("I2020P44.gz")
AppendVLTable ("I2020P48.gz")
AppendVLTable ("I2024M32.gz")
AppendVLTable ("I2024M36.gz")
AppendVLTable ("I2024P32.gz")
AppendVLTable ("I2024P36.gz")
AppendVLTable ("I2024P52.gz")
AppendVLTable ("I2024P56.gz")
AppendVLTable ("I2024P68.gz")
AppendVLTable ("I2030P60.gz")
AppendVLTable ("I2030P64.gz")
AppendVLTable ("I2032M04.gz")
AppendVLTable ("I2032M08.gz")
AppendVLTable ("I2032M12.gz")
AppendVLTable ("I2032M16.gz")
AppendVLTable ("I2032M20.gz")
AppendVLTable ("I2032M24.gz")
AppendVLTable ("I2032M28.gz")
AppendVLTable ("I2032P00.gz")
AppendVLTable ("I2032P04.gz")
AppendVLTable ("I2032P08.gz")
AppendVLTable ("I2032P12.gz")
AppendVLTable ("I2032P16.gz")
AppendVLTable ("I2032P20.gz")
AppendVLTable ("I2032P24.gz")
AppendVLTable ("I2032P28.gz")
AppendVLTable ("I2040M40.gz")
AppendVLTable ("I2040P40.gz")
AppendVLTable ("I2040P44.gz")
AppendVLTable ("I2040P48.gz")
AppendVLTable ("I2042M32.gz")
AppendVLTable ("I2042M36.gz")
AppendVLTable ("I2042P32.gz")
AppendVLTable ("I2042P36.gz")
AppendVLTable ("I2048M04.gz")
AppendVLTable ("I2048M08.gz")
AppendVLTable ("I2048M12.gz")
AppendVLTable ("I2048M16.gz")
AppendVLTable ("I2048M20.gz")
AppendVLTable ("I2048M24.gz")
AppendVLTable ("I2048M28.gz")
AppendVLTable ("I2048P00.gz")
AppendVLTable ("I2048P04.gz")
AppendVLTable ("I2048P08.gz")
AppendVLTable ("I2048P12.gz")
AppendVLTable ("I2048P16.gz")
AppendVLTable ("I2048P20.gz")
AppendVLTable ("I2048P24.gz")
AppendVLTable ("I2048P28.gz")
AppendVLTable ("I2048P52.gz")
AppendVLTable ("I2048P56.gz")
AppendVLTable ("I2100M32.gz")
AppendVLTable ("I2100M36.gz")
AppendVLTable ("I2100M40.gz")
AppendVLTable ("I2100P32.gz")
AppendVLTable ("I2100P36.gz")
AppendVLTable ("I2100P40.gz")
AppendVLTable ("I2100P44.gz")
AppendVLTable ("I2100P48.gz")
AppendVLTable ("I2100P60.gz")
AppendVLTable ("I2100P64.gz")
AppendVLTable ("I2100P68.gz")
AppendVLTable ("I2100P72.gz")
AppendVLTable ("I2100P76.gz")
AppendVLTable ("I2100P80.gz")
AppendVLTable ("I2100P84.gz")
AppendVLTable ("I2100P88.gz")
AppendVLTable ("I2104M04.gz")
AppendVLTable ("I2104M08.gz")
AppendVLTable ("I2104M12.gz")
AppendVLTable ("I2104M16.gz")
AppendVLTable ("I2104M20.gz")
AppendVLTable ("I2104M24.gz")
AppendVLTable ("I2104M28.gz")
AppendVLTable ("I2104P00.gz")
AppendVLTable ("I2104P04.gz")
AppendVLTable ("I2104P08.gz")
AppendVLTable ("I2104P12.gz")
AppendVLTable ("I2104P16.gz")
AppendVLTable ("I2104P20.gz")
AppendVLTable ("I2104P24.gz")
AppendVLTable ("I2104P28.gz")
AppendVLTable ("I2112P52.gz")
AppendVLTable ("I2112P56.gz")
AppendVLTable ("I2118M32.gz")
AppendVLTable ("I2118M36.gz")
AppendVLTable ("I2118P32.gz")
AppendVLTable ("I2118P36.gz")
AppendVLTable ("I2120M04.gz")
AppendVLTable ("I2120M08.gz")
AppendVLTable ("I2120M12.gz")
AppendVLTable ("I2120M16.gz")
AppendVLTable ("I2120M20.gz")
AppendVLTable ("I2120M24.gz")
AppendVLTable ("I2120M28.gz")
AppendVLTable ("I2120M40.gz")
AppendVLTable ("I2120P00.gz")
AppendVLTable ("I2120P04.gz")
AppendVLTable ("I2120P08.gz")
AppendVLTable ("I2120P12.gz")
AppendVLTable ("I2120P16.gz")
AppendVLTable ("I2120P20.gz")
AppendVLTable ("I2120P24.gz")
AppendVLTable ("I2120P28.gz")
AppendVLTable ("I2120P40.gz")
AppendVLTable ("I2120P44.gz")
AppendVLTable ("I2120P48.gz")
AppendVLTable ("I2130P60.gz")
AppendVLTable ("I2130P64.gz")
AppendVLTable ("I2136M04.gz")
AppendVLTable ("I2136M08.gz")
AppendVLTable ("I2136M12.gz")
AppendVLTable ("I2136M16.gz")
AppendVLTable ("I2136M20.gz")
AppendVLTable ("I2136M24.gz")
AppendVLTable ("I2136M28.gz")
AppendVLTable ("I2136M32.gz")
AppendVLTable ("I2136M36.gz")
AppendVLTable ("I2136P00.gz")
AppendVLTable ("I2136P04.gz")
AppendVLTable ("I2136P08.gz")
AppendVLTable ("I2136P12.gz")
AppendVLTable ("I2136P16.gz")
AppendVLTable ("I2136P20.gz")
AppendVLTable ("I2136P24.gz")
AppendVLTable ("I2136P28.gz")
AppendVLTable ("I2136P32.gz")
AppendVLTable ("I2136P36.gz")
AppendVLTable ("I2136P52.gz")
AppendVLTable ("I2136P56.gz")
AppendVLTable ("I2136P68.gz")
AppendVLTable ("I2140M40.gz")
AppendVLTable ("I2140P40.gz")
AppendVLTable ("I2140P44.gz")
AppendVLTable ("I2140P48.gz")
AppendVLTable ("I2145P72.gz")
AppendVLTable ("I2145P76.gz")
AppendVLTable ("I2152M04.gz")
AppendVLTable ("I2152M08.gz")
AppendVLTable ("I2152M12.gz")
AppendVLTable ("I2152M16.gz")
AppendVLTable ("I2152M20.gz")
AppendVLTable ("I2152M24.gz")
AppendVLTable ("I2152M28.gz")
AppendVLTable ("I2152P00.gz")
AppendVLTable ("I2152P04.gz")
AppendVLTable ("I2152P08.gz")
AppendVLTable ("I2152P12.gz")
AppendVLTable ("I2152P16.gz")
AppendVLTable ("I2152P20.gz")
AppendVLTable ("I2152P24.gz")
AppendVLTable ("I2152P28.gz")
AppendVLTable ("I2154M32.gz")
AppendVLTable ("I2154M36.gz")
AppendVLTable ("I2154P32.gz")
AppendVLTable ("I2154P36.gz")
AppendVLTable ("I2200M40.gz")
AppendVLTable ("I2200P40.gz")
AppendVLTable ("I2200P44.gz")
AppendVLTable ("I2200P48.gz")
AppendVLTable ("I2200P52.gz")
AppendVLTable ("I2200P56.gz")
AppendVLTable ("I2200P60.gz")
AppendVLTable ("I2200P64.gz")
AppendVLTable ("I2200P80.gz")
AppendVLTable ("I2208M04.gz")
AppendVLTable ("I2208M08.gz")
AppendVLTable ("I2208M12.gz")
AppendVLTable ("I2208M16.gz")
AppendVLTable ("I2208M20.gz")
AppendVLTable ("I2208M24.gz")
AppendVLTable ("I2208M28.gz")
AppendVLTable ("I2208P00.gz")
AppendVLTable ("I2208P04.gz")
AppendVLTable ("I2208P08.gz")
AppendVLTable ("I2208P12.gz")
AppendVLTable ("I2208P16.gz")
AppendVLTable ("I2208P20.gz")
AppendVLTable ("I2208P24.gz")
AppendVLTable ("I2208P28.gz")
AppendVLTable ("I2212M32.gz")
AppendVLTable ("I2212M36.gz")
AppendVLTable ("I2212P32.gz")
AppendVLTable ("I2212P36.gz")
AppendVLTable ("I2212P68.gz")
AppendVLTable ("I2220M40.gz")
AppendVLTable ("I2220P40.gz")
AppendVLTable ("I2220P44.gz")
AppendVLTable ("I2220P48.gz")
AppendVLTable ("I2224M04.gz")
AppendVLTable ("I2224M08.gz")
AppendVLTable ("I2224M12.gz")
AppendVLTable ("I2224M16.gz")
AppendVLTable ("I2224M20.gz")
AppendVLTable ("I2224M24.gz")
AppendVLTable ("I2224M28.gz")
AppendVLTable ("I2224P00.gz")
AppendVLTable ("I2224P04.gz")
AppendVLTable ("I2224P08.gz")
AppendVLTable ("I2224P12.gz")
AppendVLTable ("I2224P16.gz")
AppendVLTable ("I2224P20.gz")
AppendVLTable ("I2224P24.gz")
AppendVLTable ("I2224P28.gz")
AppendVLTable ("I2224P52.gz")
AppendVLTable ("I2224P56.gz")
AppendVLTable ("I2230M32.gz")
AppendVLTable ("I2230M36.gz")
AppendVLTable ("I2230P32.gz")
AppendVLTable ("I2230P36.gz")
AppendVLTable ("I2230P60.gz")
AppendVLTable ("I2230P64.gz")
AppendVLTable ("I2230P72.gz")
AppendVLTable ("I2230P76.gz")
AppendVLTable ("I2230P84.gz")
AppendVLTable ("I2240M04.gz")
AppendVLTable ("I2240M08.gz")
AppendVLTable ("I2240M12.gz")
AppendVLTable ("I2240M16.gz")
AppendVLTable ("I2240M20.gz")
AppendVLTable ("I2240M24.gz")
AppendVLTable ("I2240M28.gz")
AppendVLTable ("I2240M40.gz")
AppendVLTable ("I2240P00.gz")
AppendVLTable ("I2240P04.gz")
AppendVLTable ("I2240P08.gz")
AppendVLTable ("I2240P12.gz")
AppendVLTable ("I2240P16.gz")
AppendVLTable ("I2240P20.gz")
AppendVLTable ("I2240P24.gz")
AppendVLTable ("I2240P28.gz")
AppendVLTable ("I2240P40.gz")
AppendVLTable ("I2240P44.gz")
AppendVLTable ("I2240P48.gz")
AppendVLTable ("I2248M32.gz")
AppendVLTable ("I2248M36.gz")
AppendVLTable ("I2248P32.gz")
AppendVLTable ("I2248P36.gz")
AppendVLTable ("I2248P52.gz")
AppendVLTable ("I2248P56.gz")
AppendVLTable ("I2248P68.gz")
AppendVLTable ("I2256M04.gz")
AppendVLTable ("I2256M08.gz")
AppendVLTable ("I2256M12.gz")
AppendVLTable ("I2256M16.gz")
AppendVLTable ("I2256M20.gz")
AppendVLTable ("I2256M24.gz")
AppendVLTable ("I2256M28.gz")
AppendVLTable ("I2256P00.gz")
AppendVLTable ("I2256P04.gz")
AppendVLTable ("I2256P08.gz")
AppendVLTable ("I2256P12.gz")
AppendVLTable ("I2256P16.gz")
AppendVLTable ("I2256P20.gz")
AppendVLTable ("I2256P24.gz")
AppendVLTable ("I2256P28.gz")
AppendVLTable ("I2300M40.gz")
AppendVLTable ("I2300P40.gz")
AppendVLTable ("I2300P44.gz")
AppendVLTable ("I2300P48.gz")
AppendVLTable ("I2300P60.gz")
AppendVLTable ("I2300P64.gz")
AppendVLTable ("I2300P80.gz")
AppendVLTable ("I2306M32.gz")
AppendVLTable ("I2306M36.gz")
AppendVLTable ("I2306P32.gz")
AppendVLTable ("I2306P36.gz")
AppendVLTable ("I2312M04.gz")
AppendVLTable ("I2312M08.gz")
AppendVLTable ("I2312M12.gz")
AppendVLTable ("I2312M16.gz")
AppendVLTable ("I2312M20.gz")
AppendVLTable ("I2312M24.gz")
AppendVLTable ("I2312M28.gz")
AppendVLTable ("I2312P00.gz")
AppendVLTable ("I2312P04.gz")
AppendVLTable ("I2312P08.gz")
AppendVLTable ("I2312P12.gz")
AppendVLTable ("I2312P16.gz")
AppendVLTable ("I2312P20.gz")
AppendVLTable ("I2312P24.gz")
AppendVLTable ("I2312P28.gz")
AppendVLTable ("I2312P52.gz")
AppendVLTable ("I2312P56.gz")
AppendVLTable ("I2315P72.gz")
AppendVLTable ("I2315P76.gz")
AppendVLTable ("I2320M40.gz")
AppendVLTable ("I2320P40.gz")
AppendVLTable ("I2320P44.gz")
AppendVLTable ("I2320P48.gz")
AppendVLTable ("I2324M32.gz")
AppendVLTable ("I2324M36.gz")
AppendVLTable ("I2324P32.gz")
AppendVLTable ("I2324P36.gz")
AppendVLTable ("I2324P68.gz")
AppendVLTable ("I2328M04.gz")
AppendVLTable ("I2328M08.gz")
AppendVLTable ("I2328M12.gz")
AppendVLTable ("I2328M16.gz")
AppendVLTable ("I2328M20.gz")
AppendVLTable ("I2328M24.gz")
AppendVLTable ("I2328M28.gz")
AppendVLTable ("I2328P00.gz")
AppendVLTable ("I2328P04.gz")
AppendVLTable ("I2328P08.gz")
AppendVLTable ("I2328P12.gz")
AppendVLTable ("I2328P16.gz")
AppendVLTable ("I2328P20.gz")
AppendVLTable ("I2328P24.gz")
AppendVLTable ("I2328P28.gz")
AppendVLTable ("I2330P60.gz")
AppendVLTable ("I2330P64.gz")
AppendVLTable ("I2336P52.gz")
AppendVLTable ("I2336P56.gz")
AppendVLTable ("I2340M40.gz")
AppendVLTable ("I2340P40.gz")
AppendVLTable ("I2340P44.gz")
AppendVLTable ("I2340P48.gz")
AppendVLTable ("I2342M32.gz")
AppendVLTable ("I2342M36.gz")
AppendVLTable ("I2342P32.gz")
AppendVLTable ("I2342P36.gz")
AppendVLTable ("I2344M04.gz")
AppendVLTable ("I2344M08.gz")
AppendVLTable ("I2344M12.gz")
AppendVLTable ("I2344M16.gz")
AppendVLTable ("I2344M20.gz")
AppendVLTable ("I2344M24.gz")
AppendVLTable ("I2344M28.gz")
AppendVLTable ("I2344P00.gz")
AppendVLTable ("I2344P04.gz")
AppendVLTable ("I2344P08.gz")
AppendVLTable ("I2344P12.gz")
AppendVLTable ("I2344P16.gz")
AppendVLTable ("I2344P20.gz")
AppendVLTable ("I2344P24.gz")
AppendVLTable ("I2344P28.gz")


# Shutdown Obit
OErr.printErr(err)
del ObitSys
